> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Issue Root Cause

> Human override: {primary, secondary, note} (analyst+). Appends a
`root_cause.overridden` event and always wins over any future classifier
run for this issue.



## OpenAPI

````yaml /openapi.json put /v1/issues/{issue_id}/root-cause
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/{issue_id}/root-cause:
    put:
      tags:
        - issues
      summary: Put Issue Root Cause
      description: |-
        Human override: {primary, secondary, note} (analyst+). Appends a
        `root_cause.overridden` event and always wins over any future classifier
        run for this issue.
      operationId: put_issue_root_cause_v1_issues__issue_id__root_cause_put
      parameters:
        - in: path
          name: issue_id
          required: true
          schema:
            title: Issue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RootCauseOverrideBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Put Issue Root Cause V1 Issues  Issue Id  Root Cause
                  Put
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RootCauseOverrideBody:
      properties:
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        primary:
          title: Primary
          type: string
        secondary:
          anyOf:
            - type: string
            - type: 'null'
          title: Secondary
      required:
        - primary
      title: RootCauseOverrideBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````